メインコンテンツまでスキップ

プロモーションの詳細

特定のプロモーションに関する詳細情報は、Aptoide Connect デベロッパーコンソールを通じて、またはこの API エンドポイントを通じてプログラムから取得できます。

エンドポイント

メソッドURL
GEThttps://ws.catappult.io/api/promotions/{uid}

認証

この API にアクセスするには、Aptoide Connect でアクティブなアカウントサブスクリプションを保有し、API キーで認証する必要があります(生成方法についてはこちらを確認してください)。

ヘッダー

ヘッダー必須説明
Api-Keystring必須API リクエストの認証に使用します。値は Aptoide Connect の API キーです。

パスパラメータ

パラメータ説明
uidstringプロモーションの一意の識別子 (UUID)(例: 9dbf70ff-30a4-4d82-b062-42ab24126e59)。

リクエスト例

curl -X GET "https://ws.catappult.io/api/promotions/9dbf70ff-30a4-4d82-b062-42ab24126e59" \
-H "Api-Key: <YOUR_API_KEY>"

レスポンス

成功

API 呼び出しが HTTP 200 ステータスコードを返した場合、リクエストは成功であり、プロモーションに関する詳細情報を含む JSON オブジェクトを返します。

プロモーションが(eventUid を介して)イベントにリンクされている場合、event フィールドにはそのイベントの埋め込み表現が含まれます。それ以外の場合は null です。

レスポンス例

{
"uid": "9dbf70ff-30a4-4d82-b062-42ab24126e59",
"name": "Test Promotion 1",
"type": "SEARCH",
"status": "active",
"startTimestamp": "2026-03-16 00:00:00",
"endTimestamp": "2026-04-30 00:00:00",
"createdAt": "2026-03-26 20:47:20",
"updatedAt": "2026-04-01 14:23:34",
"hasStatistics": false,
"event": {
"uid": "56fd535b-b071-402c-a4fa-29807eb050c9",
"name": "Test Event",
"type": "CUSTOM",
"status": "active",
"startTimestamp": "2026-02-04 00:30:00",
"endTimestamp": "2026-04-30 00:00:00",
"createdAt": "2026-02-05 16:06:33",
"updatedAt": "2026-04-20 15:01:53",
"allowedPartners": ["APTOIDE-GAMES"],
"application": {
"name": "com.aptoide.diceroll.sdk",
"title": "Aptoide Diceroll SDK",
"iconUrl": "https://ws.catappult.io/api/applications/com.aptoide.diceroll.sdk/icon",
"featureGraphicUrl": "https://ws.catappult.io/api/applications/com.aptoide.diceroll.sdk/featureGraphic"
},
"data": {
"allowedPartners": "APTOIDE-GAMES",
"applySameFilesToAllLocales": "false"
},
"locales": [
{
"localeName": "en_GB",
"description": "Test",
"longDescription": "Test",
"files": [
{
"id": 953,
"name": "b737866e7065a09e02a8393dd4c83a42_com-aptoide-diceroll-sdk-none-promotion-asset.webp",
"downloadUrl": "https://cdn-catappult.aptoide.com/promotion_asset/b737866e7065a09e02a8393dd4c83a42_com-aptoide-diceroll-sdk-none-promotion-asset.webp",
"ratio": "256:125"
}
]
}
]
},
"partner": { "name": "APTOIDE-GAMES" },
"application": {
"name": "com.aptoide.diceroll.sdk",
"title": "Aptoide Diceroll SDK",
"operatingSystem": "android",
"iconUrl": "https://ws.catappult.io/api/applications/com.aptoide.diceroll.sdk/icon",
"featureGraphicUrl": "https://ws.catappult.io/api/applications/com.aptoide.diceroll.sdk/featureGraphic"
},
"data": {
"name": "Test Promotion 1",
"oemId": "562c8031d4a08ba95e682a800cd04448",
"utmContent": "search"
},
"files": [
{
"id": 385,
"name": "64c5826a724c1bb78332c0ed67b5f83b_com-aptoide-diceroll-sdk-none-promotion-asset.png",
"downloadUrl": "https://cdn-catappult.aptoide.com/promotion_asset/64c5826a724c1bb78332c0ed67b5f83b_com-aptoide-diceroll-sdk-none-promotion-asset.png"
}
]
}